package dto

import (
	"58team_blog/internal/application/common"
	"58team_blog/internal/interfaces/api/responses"
)

func ResponseFromPostResult(result *common.PostResult) responses.PostResponse {
	return responses.PostResponse{
		Id:          result.Id.String(),
		UserId:      result.UserId.String(),
		Title:       result.Title,
		Description: result.Description,
		Content:     result.Content,
		CreatedAt:   result.CreatedAt,
		UpdatedAt:   result.UpdatedAt,
	}
}
